Name:		vinagre
Version:	0.3
Release:	2%{?dist}
Summary:	VNC client for the GNOME desktop

Group:		Applications/System
License:	GPLv2+
URL:		http://www.gnome.org/~jwendell/vinagre/
Source0:	http://www.gnome.org/~jwendell/vinagre/downloads/%{name}-%{version}.tar.gz
Patch0:		vinagre-0.3-no-password-crash.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk-vnc-devel
BuildRequires:	gtk2-devel >= 2.11.6
BuildRequires:	GConf2-devel >= 2.16.0
BuildRequires:	avahi-ui-devel >= 0.6.18
# Missing package dependency, see:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=253734
BuildRequires:	avahi-glib-devel >= 0.6.18
BuildRequires:	libglade2-devel >= 2.6.0
BuildRequires:	perl(XML::Parser) gettext intltool
BuildRequires:	desktop-file-utils

%description
Vinagre is a VNC client for the GNOME desktop environment.

%prep
%setup -q
%patch0 -p1 -b .no-pass-crash

%build
%configure --enable-avahi=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

# Remove text files installed by vinagre, we install them in a versioned
# directory in the files section
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/vinagre/

desktop-file-install 						\
	--remove-category=Application				\
	--add-category=GTK					\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/vinagre.desktop

%find_lang vinagre

%clean
rm -rf $RPM_BUILD_ROOT

%files -f vinagre.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%doc README NEWS COPYING AUTHORS

%changelog
* Thu Oct 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-2
- Fix crasher when setting a favourite with no password (#352371)

* Mon Sep 24 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-1
- Update to 0.3

* Wed Aug 22 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-1
- First version
- Fix plenty of comments from Ray Strode as per review
- Have work-around for BZ #253734

